package com.huimv.production.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "m_sow_childbirth_record")
@Data
public class MSowChildbirthRecordEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;

    /**
     * 产房编号
     */
    @Column(name = "room_code")
    private String roomCode;

    /**
     * 产房状态(待产：1、生产中：2、哺乳：3、断奶：4、空闲：0)
     */
    @Column(name = "labor_room_state")
    private Integer laborRoomState;

    /**
     * 生产批次
     */
    @Column(name = "birth_code")
    private String birthCode;

    /**
     * 母猪编号
     */
    @Column(name = "sow_code")
    private String sowCode;

    /**
     * 生产时年龄
     */
    @Column(name = "age")
    private String age;

    /**
     * 生产状态(1：正常 2：异常)
     */
    @Column(name = "birth_state")
    private Integer birthState;

    /**
     * 怀孕时间
     */
    @Column(name = "conception_date")
    private String conceptionDate;

    /**
     * 上床时间
     */
    @Column(name = "into_room_date")
    private String intoRoomDate;

    /**
     * 生产时间（生产第一头时间）
     */
    @Column(name = "first_date")
    private String firstDate;

    /**
     * 产完时间
     */
    @Column(name = "finish_date")
    private String finishDate;

    /**
     * 产仔数
     */
    @Column(name = "quantity")
    private Integer quantity;

    /**
     * 胎均重量
     */
    @Column(name = "average_weight")
    private Float averageWeight;

    /**
     * 断奶成功率
     */
    @Column(name = "radio")
    private Float radio;

    /**
     * 第几胎
     */
    @Column(name = "birth_no")
    private Integer birthNo;

    /**
     * 仔猪日龄
     */
    @Column(name = "days")
    private Integer days;

    /**
     * 保温箱温度
     */
    @Column(name = "incubator_heat")
    private Float incubatorHeat;

    /**
     * 总产仔数
     */
    @Column(name = "total")
    private Integer total;

    /**
     * 公仔猪数量
     */
    @Column(name = "boar_piglet_total")
    private Integer boarPigletTotal;

    /**
     * 母仔猪数量
     */
    @Column(name = "sow_piglet_total")
    private Integer sowPigletTotal;

}
