package com.huimv.production.service.impl;

import com.huimv.production.domain.MSowEntity;
import com.huimv.production.repo.MSowEntityRepo;
import com.huimv.production.result.Result;
import com.huimv.production.service.MSowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/9 0009 17:43
 **/
@Service
public class MSowServiceImpl implements MSowService {
    @Autowired
    private MSowEntityRepo childcareEntityRepo;

    @Override
    public Result add(MSowEntity childcareEntity) {
        if (childcareEntity == null){
            return new Result(10002,"请输入参数");
        }
        try {
            Object bySowCode = childcareEntityRepo.findBySowCode(childcareEntity.getSowCode());
            if (bySowCode != null ){
                return new Result(10003,"该母猪编号已存在");
            }
            childcareEntityRepo.save(childcareEntity);
            return new Result(10000,"添加成功");
        }catch (Exception e){
            return new Result(10001,"添加失败");
        }
    }

    @Override
    public Result remove(Integer[] ids) {
        if (ids == null || ids.length==0){
            return new Result(10002,"请选择要删除的数据");
        }
        try {
            for (Integer id : ids) {
                childcareEntityRepo.deleteById(id);
            }

            return new Result(10000,"删除成功");
        }catch (Exception e){
            return new Result(10001,"删除失败");
        }
    }

    @Override
    public Result update(MSowEntity childcareEntity) {
        if (childcareEntity == null){
            return new Result(10002,"请选择要修改的值");
        }
//        try {
            childcareEntityRepo.save(childcareEntity);
            return new Result(10000,"修改成功");
//        }catch (Exception e){
//            return new Result(10001,"修改失败");
//        }
    }

    @Override
    public Result findAll(String name ,Integer pageNum , Integer pageSize) {
        try {
            Map map = new HashMap();
            Integer startPage = (pageNum-1) * pageSize;

            int size = childcareEntityRepo.findAll().size() ;
            List<MSowEntity> all = childcareEntityRepo.findAll(name,startPage,pageSize);
            map.put("total",size);
            map.put("totalPageNum",(size  +  pageSize  - 1) / pageSize);
            map.put("data",all);
            return new Result(10000,"查询成功",map);
        }catch (Exception e){
            return new Result(10001,"查询失败",null);
        }
    }

}
