package com.huimv.production.service.impl;

import com.huimv.production.domain.YvfeiCount;
import com.huimv.production.repo.YvfeiCountRepository;
import com.huimv.production.result.Result;
import com.huimv.production.result.ResultStatus;
import com.huimv.production.service.YvfeiCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class YvfeiCountServiceImpl implements YvfeiCountService {

	@Autowired
	private YvfeiCountRepository rep;

	@Override
	public Result add(YvfeiCount entity){
		if (entity == null){
			return new Result(10002, ResultStatus.addNull);
		}
		try {
			rep.save(entity);
			return new Result(10000, ResultStatus.addSuccess);
		}catch (Exception e){
			return new Result(10001, ResultStatus.addFailed);
		}
	}

	@Override
	public Result remove(Integer[] ids) {
		if (ids == null || ids.length==0){
			return new Result(10002, ResultStatus.deleteNull);
		}
		try {
			for (Integer id : ids) {
				rep.deleteById(id);
			}
			return new Result(10000, ResultStatus.deleteSuccess);
		}catch (Exception e){
			return new Result(10001, ResultStatus.deleteFailed);
		}
	}

	@Override
	public Result update(YvfeiCount entity) {
		if (entity == null){
			return new Result(10002, ResultStatus.updateNull);
		}
		try {
			rep.save(entity);
			return new Result(10000, ResultStatus.updateSuccess);
		}catch (Exception e){
			return new Result(10001, ResultStatus.updateFailed);
		}
	}

	@Override
	public Result findAll() {
		try {
			List<YvfeiCount> all = rep.findAll();
			return new Result(10000, ResultStatus.findSuccess,all);
		}catch (Exception e){
			return new Result(10001, ResultStatus.findFailed,null);
		}
	}

	@Override
	public Result findAllById(Integer id) {
		try {
			YvfeiCount entity = rep.findById(id).get();
			return new Result(10000, ResultStatus.findSuccess,entity);
		}catch (Exception e){
			return new Result(10001, ResultStatus.findFailed,null);
		}
	}
}
